#
# spec file for package guile-cairo
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 0
Name:           guile-cairo
Version:        1.11.2
Release:        1.3
Summary:        Guile bindings to Cairo
License:        LGPL-3.0-or-later
Group:          Development/Libraries/Other
URL:            https://www.nongnu.org/guile-cairo/
Source0:        http://download.savannah.gnu.org/releases/guile-cairo/guile-cairo-%{version}.tar.gz
Source1:        http://download.savannah.gnu.org/releases/guile-cairo/guile-cairo-%{version}.tar.gz.sig
BuildRequires:  cairo-devel >= 1.10.0
BuildRequires:  guile-devel
Requires(post): %{install_info_prereq}
Requires(preun):%{install_info_prereq}
Requires:       lib%{name}%{sover}

%description
Guile bindings to Cairo library.

%package -n lib%{name}%{sover}
Summary:        Guile cairo libary
Group:          System/Libraries

%description -n lib%{name}%{sover}
Libraries for Guile bindings for Cairo.

%package devel
Summary:        Development files for Guile Cairo bindings
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       cairo-devel
Requires:       guile-devel

%description devel
Files required to build software using Guile Cairo bindings.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
# get rid of unused library
rm %{buildroot}%{_libdir}/lib%{name}.la

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%files
%license COPYING.LESSER COPYING
%doc AUTHORS HACKING NEWS README TODO ChangeLog
%{_datadir}/guile
%{_infodir}/%{name}.info*

%files -n lib%{name}%{sover}
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}

%changelog
* Wed Dec 21 2022 Dirk Müller <dmueller@suse.com>
- update to 1.11.2:
  * Include build-aux/git-version-gen in distcheck.
* Fri Nov  6 2020 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- update to version 1.11.1:
  * New bindings cairo-surface-get-mime-data, cairo-surface-set-mime-data.
  * Compatibility with Guile 1.8 has been dropped.
  * Documentation fixes.
- remove patch:
  * use-stdint-types.patch: included in release
- set source links
* Mon Jan 20 2020 Jonathan Brielmaier <jbrielmaier@suse.de>
- Add patch:
  * use-stdint-types.patch: Moves from scm_t to sdtint types. As some
    scm_t types are deprecated in Guile 3.0.
* Tue Jul 16 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- build require cairo-devel >= 1.10.0
* Wed Jan  9 2019 jbrielmaier@suse.de
- update to version 1.10.0:
  * new functions
  * renaming of some functions to follow original C names
  * various bug fixes
  For more details see the NEWS file.
- include signature of tarball as source
* Thu Mar 22 2018 sleep_walker@opensuse.org
- remove *.la files so package can get to Factory
* Sun Mar 18 2018 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use.
* Fri Mar 16 2018 sleep_walker@opensuse.org
- add basic documentation and license files, fix license
* Thu Feb 15 2018 sleep_walker@opensuse.org
- let there be guile-cairo!
